class LearningObject::Attachment
  include ActiveModel::Model
  include OrientDbSerializable

  #this attributes mirror Dspace bitstream values
  attr_accessor :id, :name, :link, :retrieve_link, :description, :format, :mime_type, :size, :bundle_name, :uptodate, :sync_feature

  def to_orientdb_hash
    super.merge('retrieveLink' => @retrieve_link, 'mimeType' => @mime_type, 'sizeBytes' => @size, 'bundleName' => @bundle_name)
  end

  def excluded_orientdb_properties
    super + ['retrieve_link', 'mime_type', 'bundle_name', 'size', '@class']
  end

  def initialize(params={})
    @sync_feature = false
    super(params)
  end

  #set attachment up to date with dspace
  def uptodate!
    @uptodate, @sync_feature = true
  end

  def uptodate?
    @uptodate && @sync_feature
  end
end
